Page MenuHomePhabricator

Test system for federated properties target repo
Closed, ResolvedPublic5 Estimated Story Points

Description

This is about the Test System for the Federated Properties feature, i.e. system that will be having “local” items and accessing properties from some other Wikibase instance.

Mandatory Requirement (Must Have)

  • Uses Properties from a publicly available Wikibase instance (e.g. “beta wikidata”)
  • Software (Wikibase etc) is automatically updated (in acceptable intervals if “immediately” is not possible) to the latest version available (e.g. “master” git branch). "Acceptable intervals" should at least mean that a new feature is up for verification soon after its ticket has left the "Review" column on the board.
  • Publicly available site
  • Related SPARQL Query Service instance provided
  • Can be recovered automatically in case of failure

Optional Requirements (Nice To Have)

  • WMDE staff has access (ssh) to the server (or should this be mandatory? - if there is a way to configure instances without directly ssh-accessing the machine that might be enough)
  • Uses Properties from the www.wikidata.org (actual production site) - not needed for initial version

Intended Solution

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2020, 10:14 AM
Samantha_Alipio_WMDE renamed this task from Test system for federated properties to Test system for federated properties target repo.Mar 16 2020, 11:35 AM
Samantha_Alipio_WMDE updated the task description. (Show Details)
Samantha_Alipio_WMDE updated the task description. (Show Details)
Silvan_WMDE updated the task description. (Show Details)Mar 18 2020, 12:58 PM
Rosalie_WMDE updated the task description. (Show Details)Mar 20 2020, 9:57 AM

Wikibase Termbox used a similar Cloud VPS + Docker + Ansible setup. It's documented here https://gerrit.wikimedia.org/r/plugins/gitiles/wikibase/termbox/+/refs/heads/master/infrastructure/

WMDE-leszek updated the task description. (Show Details)Mar 20 2020, 10:47 AM
Addshore closed this task as Resolved.Mar 30 2020, 10:25 AM
Addshore updated the task description. (Show Details)
Addshore added a subscriber: Addshore.
    • update regularly, either using cron or through a web hook on every merge
  • set up, configure and maintain everything via ansible
    • ansible config file to be version-controlled in a federated-properties config folder of the Wikibase git repo
    • Everything i.e. docker container setup and mounting docker volumes, code updates from git, setting up the automated updated ("cron")

These parts have been moved to T248837 for pickup in sprint 2

Everything else has been done